Skip to content
GET /unified/ads/accounts/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the account.

3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
created_atstring · date-time

The date and time the account was created.

2 supported
LinkedIn
supported
Meta Marketing API
supported
currency_codestring

The currency code for the account.

3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
disable_reasonstring

The reason the account is disabled.

2 supported
LinkedIn
supported
Meta Marketing API
supported
namestring

The name of the account.

3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

spendobject

The spend for the account.

1 supported
Meta Marketing API
supported
balancestring

The balance for the account.

daily_budgetstring

The daily budget for the account.

max_capstring

The cap amount for the account.

max_shared_capstring

The max shared cap for the account.

min_capstring

The min amount for the account.

min_shared_capstring

The min shared cap for the account.

spentstring

The spend amount for the account.

statusstring

The status of the account.

Possible values:
activeinactive
3 supported
Google Ads
supported
LinkedIn
supported
Meta Marketing API
supported
timezoneobject

The timezone for the account.

2 supported
Google Ads
supported
Meta Marketing API
supported
idstring

The unique identifier for the timezone.

namestring

The name of the timezone.

typestring[]

The type of the account.

2 supported
Google Ads
supported
LinkedIn
supported
Possible values:
testmanager
updated_atstring · date-time

The date and time the account was last updated.

1 supported
LinkedIn
supported
curl -X GET 'https://api.truto.one/unified/ads/accounts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/accounts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/accounts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ads',
  'accounts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ads",
        "accounts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())